Page MenuHomePhabricator

When unsubscribing from task via email, Phab mail notification said a comment was left, but none was
Closed, ResolvedPublic

Description

Users that have set their email preferences to ignore changes of subscribers in tasks, still will receive notifications when someone subscribes / unsubscribes via email (not via web). The reason is that such actions are interpreted incorrectly as comments as well.

Example of a wrong email notification received:

Subject: [Maniphest] [Commented On] T65971: iOS app doesn't support {{DISPLAYTITLE:}}
Deskana removed a subscriber: Deskana.
Deskana added a comment.
...

If you look at https://phabricator.wikimedia.org/T65971#1328988, he didn't leave a comment.

Original report: https://phabricator.wikimedia.org/T101106

Event Timeline

qgil created this task.Jun 23 2015, 7:11 PM
qgil raised the priority of this task from to Needs Triage.
qgil updated the task description. (Show Details)
qgil added a project: Notifications.
qgil added a subscriber: qgil.
eadler added a subscriber: eadler.Jul 13 2015, 2:44 PM
epriestley closed this task as Resolved.Dec 26 2015, 11:09 PM
epriestley claimed this task.

I'm not sure how to reproduce this (it didn't reproduce just now), and haven't seen any other instances of it or further reports. It's possible this was fixed earlier this year; we did some work on inbound mail around the time of this report.